#include <stdio.h>
void unos(long int n,long int a[])
{
	long int i;
	for(i=0;i<n;i++)
		scanf("%d",&a[i]);
}
main()
{
	long int n,i,j,k,x[100000],y[100000],z[100000];
	int b=0,ind=0;
	scanf("%ld",&n);
	
	unos(n,x);
	unos(n,y);
	unos(n,z);
	for(i=0;i<n;i++)
		for(j=0;j<n;j++)
		if(x[i]==y[j])
		{
			ind=j+1;
			for(k=0;k<n;k++)
				if(z[k]==ind)
					b++;
		}
	
	printf("%ld",b);
}